﻿Imports ThinkGeo.MapSuite.WebEdition
Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim googleOverlayer As GoogleOverlay = New GoogleOverlay("google", GoogleMapType.Hybrid)
        Dim bingOverlayer As VirtualEarthOverlay = New VirtualEarthOverlay("ve", VirtualEarthMapType.Aerial)

        googleOverlayer.IsVisible = True
        bingOverlayer.IsVisible = False

        Me.Map1.MapUnit = ThinkGeo.MapSuite.Core.GeographyUnit.Meter
        Me.Map1.CustomOverlays.Add(googleOverlayer)
        Me.Map1.CustomOverlays.Add(bingOverlayer)
        Me.Map1.MapTools.OverlaySwitcher.Enabled = True
        Me.Map1.ActiveBaseOverlay = googleOverlayer
    End Sub

End Class